/** vim: et:ts=4:sw=4:sts=4
 * @license RequireJS 2.3.6 Copyright jQuery Foundation and other contributors.
 * Released under MIT license, https://github.com/requirejs/requirejs/blob/master/LICENSE
 */

/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   v4.2.5+7f2b526d
 */

var requirejs,require,define;!function(global,setTimeout){function commentReplace(e,r){return r||""}function isFunction(e){return"[object Function]"===ostring.call(e)}function isArray(e){return"[object Array]"===ostring.call(e)}function each(e,r){if(e){var t;for(t=0;t<e.length&&(!e[t]||!r(e[t],t,e));t+=1);}}function eachReverse(e,r){if(e){var t;for(t=e.length-1;t>-1&&(!e[t]||!r(e[t],t,e));t-=1);}}function hasProp(e,r){return hasOwn.call(e,r)}function getOwn(e,r){return hasProp(e,r)&&e[r]}function eachProp(e,r){var t;for(t in e)if(hasProp(e,t)&&r(e[t],t))break}function mixin(e,r,t,n){return r&&eachProp(r,function(r,i){!t&&hasProp(e,i)||(!n||"object"!=typeof r||!r||isArray(r)||isFunction(r)||r instanceof RegExp?e[i]=r:(e[i]||(e[i]={}),mixin(e[i],r,t,n)))}),e}function bind(e,r){return function(){return r.apply(e,arguments)}}function scripts(){return document.getElementsByTagName("script")}function defaultOnError(e){throw e}function getGlobal(e){if(!e)return e;var r=global;return each(e.split("."),function(e){r=r[e]}),r}function makeError(e,r,t,n){var i=new Error(r+"\nhttps://requirejs.org/docs/errors.html#"+e);return i.requireType=e,i.requireModules=n,t&&(i.originalError=t),i}function newContext(e){function r(e){var r,t;for(r=0;r<e.length;r++)if("."===(t=e[r]))e.splice(r,1),r-=1;else if(".."===t){if(0===r||1===r&&".."===e[2]||".."===e[r-1])continue;r>0&&(e.splice(r-1,2),r-=2)}}function t(e,t,n){var i,o,s,a,c,u,l,f,d,p,m,h=t&&t.split("/"),g=q.map,b=g&&g["*"];if(e&&(e=e.split("/"),u=e.length-1,q.nodeIdCompat&&jsSuffixRegExp.test(e[u])&&(e[u]=e[u].replace(jsSuffixRegExp,"")),"."===e[0].charAt(0)&&h&&(m=h.slice(0,h.length-1),e=m.concat(e)),r(e),e=e.join("/")),n&&g&&(h||b)){o=e.split("/");e:for(s=o.length;s>0;s-=1){if(c=o.slice(0,s).join("/"),h)for(a=h.length;a>0;a-=1)if((i=getOwn(g,h.slice(0,a).join("/")))&&(i=getOwn(i,c))){l=i,f=s;break e}!d&&b&&getOwn(b,c)&&(d=getOwn(b,c),p=s)}!l&&d&&(l=d,f=p),l&&(o.splice(0,f,l),e=o.join("/"))}return getOwn(q.pkgs,e)||e}function n(e){isBrowser&&each(scripts(),function(r){if(r.getAttribute("data-requiremodule")===e&&r.getAttribute("data-requirecontext")===y.contextName)return r.parentNode.removeChild(r),!0})}function i(e){var r=getOwn(q.paths,e);if(r&&isArray(r)&&r.length>1)return r.shift(),y.require.undef(e),y.makeRequire(null,{skipMap:!0})([e]),!0}function o(e){var r,t=e?e.indexOf("!"):-1;return t>-1&&(r=e.substring(0,t),e=e.substring(t+1,e.length)),[r,e]}function s(e,r,n,i){var s,a,c,u,l=null,f=r?r.name:null,d=e,p=!0,m="";return e||(p=!1,e="_@r"+(P+=1)),u=o(e),l=u[0],e=u[1],l&&(l=t(l,f,i),a=getOwn(j,l)),e&&(l?m=n?e:a&&a.normalize?a.normalize(e,function(e){return t(e,f,i)}):-1===e.indexOf("!")?t(e,f,i):e:(m=t(e,f,i),u=o(m),l=u[0],m=u[1],n=!0,s=y.nameToUrl(m))),c=!l||a||n?"":"_unnormalized"+(k+=1),{prefix:l,name:m,parentMap:r,unnormalized:!!c,url:s,originalName:d,isDefine:p,id:(l?l+"!"+m:m)+c}}function a(e){var r=e.id,t=getOwn($,r);return t||(t=$[r]=new y.Module(e)),t}function c(e,r,t){var n=e.id,i=getOwn($,n);!hasProp(j,n)||i&&!i.defineEmitComplete?(i=a(e),i.error&&"error"===r?t(i.error):i.on(r,t)):"defined"===r&&t(j[n])}function u(e,r){var t=e.requireModules,n=!1;r?r(e):(each(t,function(r){var t=getOwn($,r);t&&(t.error=e,t.events.error&&(n=!0,t.emit("error",e)))}),n||req.onError(e))}function l(){globalDefQueue.length&&(each(globalDefQueue,function(e){var r=e[0];"string"==typeof r&&(y.defQueueMap[r]=!0),M.push(e)}),globalDefQueue=[])}function f(e){delete $[e],delete S[e]}function d(e,r,t){var n=e.map.id;e.error?e.emit("error",e.error):(r[n]=!0,each(e.depMaps,function(n,i){var o=n.id,s=getOwn($,o);!s||e.depMatched[i]||t[o]||(getOwn(r,o)?(e.defineDep(i,j[o]),e.check()):d(s,r,t))}),t[n]=!0)}function p(){var e,r,t=1e3*q.waitSeconds,o=t&&y.startTime+t<(new Date).getTime(),s=[],a=[],c=!1,l=!0;if(!v){if(v=!0,eachProp(S,function(e){var t=e.map,u=t.id;if(e.enabled&&(t.isDefine||a.push(e),!e.error))if(!e.inited&&o)i(u)?(r=!0,c=!0):(s.push(u),n(u));else if(!e.inited&&e.fetched&&t.isDefine&&(c=!0,!t.prefix))return l=!1}),o&&s.length)return e=makeError("timeout","Load timeout for modules: "+s,null,s),e.contextName=y.contextName,u(e);l&&each(a,function(e){d(e,{},{})}),o&&!r||!c||!isBrowser&&!isWebWorker||_||(_=setTimeout(function(){_=0,p()},50)),v=!1}}function m(e){hasProp(j,e[0])||a(s(e[0],null,!0)).init(e[1],e[2])}function h(e,r,t,n){e.detachEvent&&!isOpera?n&&e.detachEvent(n,r):e.removeEventListener(t,r,!1)}function g(e){var r=e.currentTarget||e.srcElement;return h(r,y.onScriptLoad,"load","onreadystatechange"),h(r,y.onScriptError,"error"),{node:r,id:r&&r.getAttribute("data-requiremodule")}}function b(){var e;for(l();M.length;){if(e=M.shift(),null===e[0])return u(makeError("mismatch","Mismatched anonymous define() module: "+e[e.length-1]));m(e)}y.defQueueMap={}}var v,w,y,x,_,q={waitSeconds:7,baseUrl:"./",paths:{},bundles:{},pkgs:{},shim:{},config:{}},$={},S={},E={},M=[],j={},T={},O={},P=1,k=1;return x={require:function(e){return e.require?e.require:e.require=y.makeRequire(e.map)},exports:function(e){if(e.usingExports=!0,e.map.isDefine)return e.exports?j[e.map.id]=e.exports:e.exports=j[e.map.id]={}},module:function(e){return e.module?e.module:e.module={id:e.map.id,uri:e.map.url,config:function(){return getOwn(q.config,e.map.id)||{}},exports:e.exports||(e.exports={})}}},w=function(e){this.events=getOwn(E,e.id)||{},this.map=e,this.shim=getOwn(q.shim,e.id),this.depExports=[],this.depMaps=[],this.depMatched=[],this.pluginMaps={},this.depCount=0},w.prototype={init:function(e,r,t,n){n=n||{},this.inited||(this.factory=r,t?this.on("error",t):this.events.error&&(t=bind(this,function(e){this.emit("error",e)})),this.depMaps=e&&e.slice(0),this.errback=t,this.inited=!0,this.ignore=n.ignore,n.enabled||this.enabled?this.enable():this.check())},defineDep:function(e,r){this.depMatched[e]||(this.depMatched[e]=!0,this.depCount-=1,this.depExports[e]=r)},fetch:function(){if(!this.fetched){this.fetched=!0,y.startTime=(new Date).getTime();var e=this.map;if(!this.shim)return e.prefix?this.callPlugin():this.load();y.makeRequire(this.map,{enableBuildCallback:!0})(this.shim.deps||[],bind(this,function(){return e.prefix?this.callPlugin():this.load()}))}},load:function(){var e=this.map.url;T[e]||(T[e]=!0,y.load(this.map.id,e))},check:function(){if(this.enabled&&!this.enabling){var e,r,t=this.map.id,n=this.depExports,i=this.exports,o=this.factory;if(this.inited){if(this.error)this.emit("error",this.error);else if(!this.defining){if(this.defining=!0,this.depCount<1&&!this.defined){if(isFunction(o)){if(this.events.error&&this.map.isDefine||req.onError!==defaultOnError)try{i=y.execCb(t,o,n,i)}catch(r){e=r}else i=y.execCb(t,o,n,i);if(this.map.isDefine&&void 0===i&&(r=this.module,r?i=r.exports:this.usingExports&&(i=this.exports)),e)return e.requireMap=this.map,e.requireModules=this.map.isDefine?[this.map.id]:null,e.requireType=this.map.isDefine?"define":"require",u(this.error=e)}else i=o;if(this.exports=i,this.map.isDefine&&!this.ignore&&(j[t]=i,req.onResourceLoad)){var s=[];each(this.depMaps,function(e){s.push(e.normalizedMap||e)}),req.onResourceLoad(y,this.map,s)}f(t),this.defined=!0}this.defining=!1,this.defined&&!this.defineEmitted&&(this.defineEmitted=!0,this.emit("defined",this.exports),this.defineEmitComplete=!0)}}else hasProp(y.defQueueMap,t)||this.fetch()}},callPlugin:function(){var e=this.map,r=e.id,n=s(e.prefix);this.depMaps.push(n),c(n,"defined",bind(this,function(n){var i,o,l,d=getOwn(O,this.map.id),p=this.map.name,m=this.map.parentMap?this.map.parentMap.name:null,h=y.makeRequire(e.parentMap,{enableBuildCallback:!0});return this.map.unnormalized?(n.normalize&&(p=n.normalize(p,function(e){return t(e,m,!0)})||""),o=s(e.prefix+"!"+p,this.map.parentMap,!0),c(o,"defined",bind(this,function(e){this.map.normalizedMap=o,this.init([],function(){return e},null,{enabled:!0,ignore:!0})})),void((l=getOwn($,o.id))&&(this.depMaps.push(o),this.events.error&&l.on("error",bind(this,function(e){this.emit("error",e)})),l.enable()))):d?(this.map.url=y.nameToUrl(d),void this.load()):(i=bind(this,function(e){this.init([],function(){return e},null,{enabled:!0})}),i.error=bind(this,function(e){this.inited=!0,this.error=e,e.requireModules=[r],eachProp($,function(e){0===e.map.id.indexOf(r+"_unnormalized")&&f(e.map.id)}),u(e)}),i.fromText=bind(this,function(t,n){var o=e.name,c=s(o),l=useInteractive;n&&(t=n),l&&(useInteractive=!1),a(c),hasProp(q.config,r)&&(q.config[o]=q.config[r]);try{req.exec(t)}catch(e){return u(makeError("fromtexteval","fromText eval for "+r+" failed: "+e,e,[r]))}l&&(useInteractive=!0),this.depMaps.push(c),y.completeLoad(o),h([o],i)}),void n.load(e.name,h,i,q))})),y.enable(n,this),this.pluginMaps[n.id]=n},enable:function(){S[this.map.id]=this,this.enabled=!0,this.enabling=!0,each(this.depMaps,bind(this,function(e,r){var t,n,i;if("string"==typeof e){if(e=s(e,this.map.isDefine?this.map:this.map.parentMap,!1,!this.skipMap),this.depMaps[r]=e,i=getOwn(x,e.id))return void(this.depExports[r]=i(this));this.depCount+=1,c(e,"defined",bind(this,function(e){this.undefed||(this.defineDep(r,e),this.check())})),this.errback?c(e,"error",bind(this,this.errback)):this.events.error&&c(e,"error",bind(this,function(e){this.emit("error",e)}))}t=e.id,n=$[t],hasProp(x,t)||!n||n.enabled||y.enable(e,this)})),eachProp(this.pluginMaps,bind(this,function(e){var r=getOwn($,e.id);r&&!r.enabled&&y.enable(e,this)})),this.enabling=!1,this.check()},on:function(e,r){var t=this.events[e];t||(t=this.events[e]=[]),t.push(r)},emit:function(e,r){each(this.events[e],function(e){e(r)}),"error"===e&&delete this.events[e]}},y={config:q,contextName:e,registry:$,defined:j,urlFetched:T,defQueue:M,defQueueMap:{},Module:w,makeModuleMap:s,nextTick:req.nextTick,onError:u,configure:function(e){if(e.baseUrl&&"/"!==e.baseUrl.charAt(e.baseUrl.length-1)&&(e.baseUrl+="/"),"string"==typeof e.urlArgs){var r=e.urlArgs;e.urlArgs=function(e,t){return(-1===t.indexOf("?")?"?":"&")+r}}var t=q.shim,n={paths:!0,bundles:!0,config:!0,map:!0};eachProp(e,function(e,r){n[r]?(q[r]||(q[r]={}),mixin(q[r],e,!0,!0)):q[r]=e}),e.bundles&&eachProp(e.bundles,function(e,r){each(e,function(e){e!==r&&(O[e]=r)})}),e.shim&&(eachProp(e.shim,function(e,r){isArray(e)&&(e={deps:e}),!e.exports&&!e.init||e.exportsFn||(e.exportsFn=y.makeShimExports(e)),t[r]=e}),q.shim=t),e.packages&&each(e.packages,function(e){var r,t;e="string"==typeof e?{name:e}:e,t=e.name,r=e.location,r&&(q.paths[t]=e.location),q.pkgs[t]=e.name+"/"+(e.main||"main").replace(currDirRegExp,"").replace(jsSuffixRegExp,"")}),eachProp($,function(e,r){e.inited||e.map.unnormalized||(e.map=s(r,null,!0))}),(e.deps||e.callback)&&y.require(e.deps||[],e.callback)},makeShimExports:function(e){function r(){var r;return e.init&&(r=e.init.apply(global,arguments)),r||e.exports&&getGlobal(e.exports)}return r},makeRequire:function(r,i){function o(t,n,c){var l,f,d;return i.enableBuildCallback&&n&&isFunction(n)&&(n.__requireJsBuild=!0),"string"==typeof t?isFunction(n)?u(makeError("requireargs","Invalid require call"),c):r&&hasProp(x,t)?x[t]($[r.id]):req.get?req.get(y,t,r,o):(f=s(t,r,!1,!0),l=f.id,hasProp(j,l)?j[l]:u(makeError("notloaded",'Module name "'+l+'" has not been loaded yet for context: '+e+(r?"":". Use require([])")))):(b(),y.nextTick(function(){b(),d=a(s(null,r)),d.skipMap=i.skipMap,d.init(t,n,c,{enabled:!0}),p()}),o)}return i=i||{},mixin(o,{isBrowser:isBrowser,toUrl:function(e){var n,i=e.lastIndexOf("."),o=e.split("/")[0],s="."===o||".."===o;return-1!==i&&(!s||i>1)&&(n=e.substring(i,e.length),e=e.substring(0,i)),y.nameToUrl(t(e,r&&r.id,!0),n,!0)},defined:function(e){return hasProp(j,s(e,r,!1,!0).id)},specified:function(e){return e=s(e,r,!1,!0).id,hasProp(j,e)||hasProp($,e)}}),r||(o.undef=function(e){l();var t=s(e,r,!0),i=getOwn($,e);i.undefed=!0,n(e),delete j[e],delete T[t.url],delete E[e],eachReverse(M,function(r,t){r[0]===e&&M.splice(t,1)}),delete y.defQueueMap[e],i&&(i.events.defined&&(E[e]=i.events),f(e))}),o},enable:function(e){getOwn($,e.id)&&a(e).enable()},completeLoad:function(e){var r,t,n,o=getOwn(q.shim,e)||{},s=o.exports;for(l();M.length;){if(t=M.shift(),null===t[0]){if(t[0]=e,r)break;r=!0}else t[0]===e&&(r=!0);m(t)}if(y.defQueueMap={},n=getOwn($,e),!r&&!hasProp(j,e)&&n&&!n.inited){if(!(!q.enforceDefine||s&&getGlobal(s)))return i(e)?void 0:u(makeError("nodefine","No define call for "+e,null,[e]));m([e,o.deps||[],o.exportsFn])}p()},nameToUrl:function(e,r,t){var n,i,o,s,a,c,u,l=getOwn(q.pkgs,e);if(l&&(e=l),u=getOwn(O,e))return y.nameToUrl(u,r,t);if(req.jsExtRegExp.test(e))a=e+(r||"");else{for(n=q.paths,i=e.split("/"),o=i.length;o>0;o-=1)if(s=i.slice(0,o).join("/"),c=getOwn(n,s)){isArray(c)&&(c=c[0]),i.splice(0,o,c);break}a=i.join("/"),a+=r||(/^data\:|^blob\:|\?/.test(a)||t?"":".js"),a=("/"===a.charAt(0)||a.match(/^[\w\+\.\-]+:/)?"":q.baseUrl)+a}return q.urlArgs&&!/^blob\:/.test(a)?a+q.urlArgs(e,a):a},load:function(e,r){req.load(y,e,r)},execCb:function(e,r,t,n){return r.apply(n,t)},onScriptLoad:function(e){if("load"===e.type||readyRegExp.test((e.currentTarget||e.srcElement).readyState)){interactiveScript=null;var r=g(e);y.completeLoad(r.id)}},onScriptError:function(e){var r=g(e);if(!i(r.id)){var t=[];return eachProp($,function(e,n){0!==n.indexOf("_@r")&&each(e.depMaps,function(e){if(e.id===r.id)return t.push(n),!0})}),u(makeError("scripterror",'Script error for "'+r.id+(t.length?'", needed by: '+t.join(", "):'"'),e,[r.id]))}}},y.require=y.makeRequire(),y}function getInteractiveScript(){return interactiveScript&&"interactive"===interactiveScript.readyState?interactiveScript:(eachReverse(scripts(),function(e){if("interactive"===e.readyState)return interactiveScript=e}),interactiveScript)}var req,s,head,baseElement,dataMain,src,interactiveScript,currentlyAddingScript,mainScript,subPath,version="2.3.6",commentRegExp=/\/\*[\s\S]*?\*\/|([^:"'=]|^)\/\/.*$/gm,cjsRequireRegExp=/[^.]\s*require\s*\(\s*["']([^'"\s]+)["']\s*\)/g,jsSuffixRegExp=/\.js$/,currDirRegExp=/^\.\//,op=Object.prototype,ostring=op.toString,hasOwn=op.hasOwnProperty,isBrowser=!("undefined"==typeof window||"undefined"==typeof navigator||!window.document),isWebWorker=!isBrowser&&"undefined"!=typeof importScripts,readyRegExp=isBrowser&&"PLAYSTATION 3"===navigator.platform?/^complete$/:/^(complete|loaded)$/,defContextName="_",isOpera="undefined"!=typeof opera&&"[object Opera]"===opera.toString(),contexts={},cfg={},globalDefQueue=[],useInteractive=!1;if(void 0===define){if(void 0!==requirejs){if(isFunction(requirejs))return;cfg=requirejs,requirejs=void 0}void 0===require||isFunction(require)||(cfg=require,require=void 0),req=requirejs=function(e,r,t,n){var i,o,s=defContextName;return isArray(e)||"string"==typeof e||(o=e,isArray(r)?(e=r,r=t,t=n):e=[]),o&&o.context&&(s=o.context),i=getOwn(contexts,s),i||(i=contexts[s]=req.s.newContext(s)),o&&i.configure(o),i.require(e,r,t)},req.config=function(e){return req(e)},req.nextTick=void 0!==setTimeout?function(e){setTimeout(e,4)}:function(e){e()},require||(require=req),req.version=version,req.jsExtRegExp=/^\/|:|\?|\.js$/,req.isBrowser=isBrowser,s=req.s={contexts:contexts,newContext:newContext},req({}),each(["toUrl","undef","defined","specified"],function(e){req[e]=function(){var r=contexts[defContextName];return r.require[e].apply(r,arguments)}}),isBrowser&&(head=s.head=document.getElementsByTagName("head")[0],(baseElement=document.getElementsByTagName("base")[0])&&(head=s.head=baseElement.parentNode)),req.onError=defaultOnError,req.createNode=function(e,r,t){var n=e.xhtml?document.createElementNS("http://www.w3.org/1999/xhtml","html:script"):document.createElement("script");return n.type=e.scriptType||"text/javascript",n.charset="utf-8",n.async=!0,n},req.load=function(e,r,t){var n,i=e&&e.config||{};if(isBrowser)return n=req.createNode(i,r,t),n.setAttribute("data-requirecontext",e.contextName),n.setAttribute("data-requiremodule",r),!n.attachEvent||n.attachEvent.toString&&n.attachEvent.toString().indexOf("[native code")<0||isOpera?(n.addEventListener("load",e.onScriptLoad,!1),n.addEventListener("error",e.onScriptError,!1)):(useInteractive=!0,n.attachEvent("onreadystatechange",e.onScriptLoad)),n.src=t,i.onNodeCreated&&i.onNodeCreated(n,i,r,t),currentlyAddingScript=n,baseElement?head.insertBefore(n,baseElement):head.appendChild(n),currentlyAddingScript=null,n;if(isWebWorker)try{setTimeout(function(){},0),importScripts(t),e.completeLoad(r)}catch(n){e.onError(makeError("importscripts","importScripts failed for "+r+" at "+t,n,[r]))}},isBrowser&&!cfg.skipDataMain&&eachReverse(scripts(),function(e){if(head||(head=e.parentNode),dataMain=e.getAttribute("data-main"))return mainScript=dataMain,cfg.baseUrl||-1!==mainScript.indexOf("!")||(src=mainScript.split("/"),mainScript=src.pop(),subPath=src.length?src.join("/")+"/":"./",cfg.baseUrl=subPath),mainScript=mainScript.replace(jsSuffixRegExp,""),req.jsExtRegExp.test(mainScript)&&(mainScript=dataMain),cfg.deps=cfg.deps?cfg.deps.concat(mainScript):[mainScript],!0}),define=function(e,r,t){var n,i;"string"!=typeof e&&(t=r,r=e,e=null),isArray(r)||(t=r,r=null),!r&&isFunction(t)&&(r=[],t.length&&(t.toString().replace(commentRegExp,commentReplace).replace(cjsRequireRegExp,function(e,t){r.push(t)}),r=(1===t.length?["require"]:["require","exports","module"]).concat(r))),useInteractive&&(n=currentlyAddingScript||getInteractiveScript())&&(e||(e=n.getAttribute("data-requiremodule")),i=contexts[n.getAttribute("data-requirecontext")]),i?(i.defQueue.push([e,r,t]),i.defQueueMap[e]=!0):globalDefQueue.push([e,r,t])},define.amd={jQuery:!0},req.exec=function(text){return eval(text)},req(cfg)}}(this,"undefined"==typeof setTimeout?void 0:setTimeout),define("node_modules/requirejs/require",function(){});var require;require||(require={config:function(e){require=e}}),require.config({paths:{"amber/es6-promise":"node_modules/es6-promise/dist/es6-promise","require-css":"node_modules/require-css","jquery-ui":"node_modules/jquery-ui-dist/jquery-ui",codemirror:"node_modules/codemirror",jquery:"node_modules/jquery/dist/jquery",typeahead:"node_modules/typeahead.js/dist/typeahead.jquery","helios/showdown":"node_modules/showdown/src/showdown",requireJS:"node_modules/requirejs/require",bootstrap:"node_modules/bootstrap/dist",tingle:"node_modules/tingle.js/dist/tingle",mousetrap:"node_modules/mousetrap/mousetrap",profstef:"node_modules/@ambers/prof-stef/src",silk:"node_modules/@ambers/silk/src",domite:"node_modules/@ambers/domite/src","amber/web":"node_modules/@ambers/contrib-web/src",amber:"node_modules/@ambers/lang/base",amber_core:"node_modules/@ambers/lang/src","amber/legacy":"node_modules/@ambers/contrib-legacy/src","amber/legacy/resources":"node_modules/@ambers/contrib-legacy/resources","amber/jquery":"node_modules/@ambers/contrib-jquery/src",helios:"node_modules/@ambers/helios/src","helios/resources":"node_modules/@ambers/helios/resources","helios/index":"node_modules/@ambers/helios/index","amber-ide-starter-dialog":"node_modules/@ambers/ide-starter-modal/lib/idestarter","amber/website":"src"},map:{"*":{css:"require-css/css","amber/domite/DOMite":"domite/DOMite","amber/domite/DOMite-Tests":"domite/DOMite-Tests","00comment":"These are backward compatibility pointers.","amber-contrib-web/Web":"amber/web/Web","amber_core/Web":"amber/web/Web","amber_core/Canvas":"amber/web/Web","amber_core/Compiler-Exceptions":"amber_core/Compiler-Core","amber_core/Kernel-ImportExport":"amber_core/Platform-ImportExport","amber-attic/Benchfib":"amber/legacy/Benchfib","amber-attic/Examples":"amber/legacy/Examples","amber-attic/IDE":"amber/legacy/IDE","amber-contrib-jquery/Wrappers-JQuery":"amber/jquery/Wrappers-JQuery"}},shim:{"jquery-ui":{deps:["jquery","jquery","jquery"]},"codemirror/lib/codemirror":{deps:["css!codemirror/lib/codemirror","css!codemirror/lib/codemirror","css!codemirror/lib/codemirror"]},typeahead:{deps:["jquery"],exports:"jQuery.fn.typeahead"},"bootstrap/js/bootstrap":{deps:["jquery","css!bootstrap/css/bootstrap"]}}}),define("config",function(){}),function(e,r){"object"==typeof exports&&"undefined"!=typeof module?module.exports=r():"function"==typeof define&&define.amd?define("amber/es6-promise",r):e.ES6Promise=r()}(this,function(){"use strict";function e(e){var r=typeof e;return null!==e&&("object"===r||"function"===r)}function r(e){return"function"==typeof e}function t(e){D=e}function n(e){I=e}function i(){return void 0!==N?function(){N(s)}:o()}function o(){var e=setTimeout;return function(){return e(s,1)}}function s(){for(var e=0;e<F;e+=2){(0,X[e])(X[e+1]),X[e]=void 0,X[e+1]=void 0}F=0}function a(e,r){var t=this,n=new this.constructor(u);void 0===n[J]&&M(n);var i=t._state;if(i){var o=arguments[i-1];I(function(){return $(i,n,o,t._result)})}else x(t,n,e,r);return n}function c(e){var r=this;if(e&&"object"==typeof e&&e.constructor===r)return e;var t=new r(u);return b(t,e),t}function u(){}function l(){return new TypeError("You cannot resolve a promise with itself")}function f(){return new TypeError("A promises callback cannot return that same promise.")}function d(e){try{return e.then}catch(e){return V.error=e,V}}function p(e,r,t,n){try{e.call(r,t,n)}catch(e){return e}}function m(e,r,t){I(function(e){var n=!1,i=p(t,r,function(t){n||(n=!0,r!==t?b(e,t):w(e,t))},function(r){n||(n=!0,y(e,r))},"Settle: "+(e._label||" unknown promise"));!n&&i&&(n=!0,y(e,i))},e)}function h(e,r){r._state===G?w(e,r._result):r._state===K?y(e,r._result):x(r,void 0,function(r){return b(e,r)},function(r){return y(e,r)})}function g(e,t,n){t.constructor===e.constructor&&n===a&&t.constructor.resolve===c?h(e,t):n===V?(y(e,V.error),V.error=null):void 0===n?w(e,t):r(n)?m(e,t,n):w(e,t)}function b(r,t){r===t?y(r,l()):e(t)?g(r,t,d(t)):w(r,t)}function v(e){e._onerror&&e._onerror(e._result),_(e)}function w(e,r){e._state===Y&&(e._result=r,e._state=G,0!==e._subscribers.length&&I(_,e))}function y(e,r){e._state===Y&&(e._state=K,e._result=r,I(v,e))}function x(e,r,t,n){var i=e._subscribers,o=i.length;e._onerror=null,i[o]=r,i[o+G]=t,i[o+K]=n,0===o&&e._state&&I(_,e)}function _(e){var r=e._subscribers,t=e._state;if(0!==r.length){for(var n=void 0,i=void 0,o=e._result,s=0;s<r.length;s+=3)n=r[s],i=r[s+t],n?$(t,n,i,o):i(o);e._subscribers.length=0}}function q(e,r){try{return e(r)}catch(e){return V.error=e,V}}function $(e,t,n,i){var o=r(n),s=void 0,a=void 0,c=void 0,u=void 0;if(o){if(s=q(n,i),s===V?(u=!0,a=s.error,s.error=null):c=!0,t===s)return void y(t,f())}else s=i,c=!0;t._state!==Y||(o&&c?b(t,s):u?y(t,a):e===G?w(t,s):e===K&&y(t,s))}function S(e,r){try{r(function(r){b(e,r)},function(r){y(e,r)})}catch(r){y(e,r)}}function E(){return Z++}function M(e){e[J]=Z++,e._state=void 0,e._result=void 0,e._subscribers=[]}function j(){return new Error("Array Methods must be provided an Array")}function T(e){return new ee(this,e).promise}function O(e){var r=this;return new r(R(e)?function(t,n){for(var i=e.length,o=0;o<i;o++)r.resolve(e[o]).then(t,n)}:function(e,r){return r(new TypeError("You must pass an array to race."))})}function P(e){var r=this,t=new r(u);return y(t,e),t}function k(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}function C(){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}function A(){var e=void 0;if("undefined"!=typeof global)e=global;else if("undefined"!=typeof self)e=self;else try{e=Function("return this")()}catch(e){throw new Error("polyfill failed because global object is unavailable in this environment")}var r=e.Promise;if(r){var t=null;try{t=Object.prototype.toString.call(r.resolve())}catch(e){}if("[object Promise]"===t&&!r.cast)return}e.Promise=re}var B=void 0;B=Array.isArray?Array.isArray:function(e){return"[object Array]"===Object.prototype.toString.call(e)};var R=B,F=0,N=void 0,D=void 0,I=function(e,r){X[F]=e,X[F+1]=r,2===(F+=2)&&(D?D(s):H())},L="undefined"!=typeof window?window:void 0,Q=L||{},z=Q.MutationObserver||Q.WebKitMutationObserver,U="undefined"==typeof self&&"undefined"!=typeof process&&"[object process]"==={}.toString.call(process),W="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel,X=new Array(1e3),H=void 0;H=U?function(){return function(){return process.nextTick(s)}}():z?function(){var e=0,r=new z(s),t=document.createTextNode("");return r.observe(t,{characterData:!0}),function(){t.data=e=++e%2}}():W?function(){var e=new MessageChannel;return e.port1.onmessage=s,function(){return e.port2.postMessage(0)}}():void 0===L&&"function"==typeof require?function(){try{var e=Function("return this")().require("vertx");return N=e.runOnLoop||e.runOnContext,i()}catch(e){return o()}}():o();var J=Math.random().toString(36).substring(2),Y=void 0,G=1,K=2,V={error:null},Z=0,ee=function(){function e(e,r){this._instanceConstructor=e,this.promise=new e(u),this.promise[J]||M(this.promise),R(r)?(this.length=r.length,this._remaining=r.length,this._result=new Array(this.length),0===this.length?w(this.promise,this._result):(this.length=this.length||0,this._enumerate(r),0===this._remaining&&w(this.promise,this._result))):y(this.promise,j())}return e.prototype._enumerate=function(e){for(var r=0;this._state===Y&&r<e.length;r++)this._eachEntry(e[r],r)},e.prototype._eachEntry=function(e,r){var t=this._instanceConstructor,n=t.resolve;if(n===c){var i=d(e);if(i===a&&e._state!==Y)this._settledAt(e._state,r,e._result);else if("function"!=typeof i)this._remaining--,this._result[r]=e;else if(t===re){var o=new t(u);g(o,e,i),this._willSettleAt(o,r)}else this._willSettleAt(new t(function(r){return r(e)}),r)}else this._willSettleAt(n(e),r)},e.prototype._settledAt=function(e,r,t){var n=this.promise;n._state===Y&&(this._remaining--,e===K?y(n,t):this._result[r]=t),0===this._remaining&&w(n,this._result)},e.prototype._willSettleAt=function(e,r){var t=this;x(e,void 0,function(e){return t._settledAt(G,r,e)},function(e){return t._settledAt(K,r,e)})},e}(),re=function(){function e(r){this[J]=E(),this._result=this._state=void 0,this._subscribers=[],u!==r&&("function"!=typeof r&&k(),this instanceof e?S(this,r):C())}return e.prototype.catch=function(e){return this.then(null,e)},e.prototype.finally=function(e){var t=this,n=t.constructor;return r(e)?t.then(function(r){return n.resolve(e()).then(function(){return r})},function(r){return n.resolve(e()).then(function(){throw r})}):t.then(e,e)},e}();return re.prototype.then=a,re.all=T,re.race=O,re.resolve=c,re.reject=P,re._setScheduler=t,re._setAsap=n,re._asap=I,re.polyfill=A,re.Promise=re,re}),function(){define("app",["require","amber/es6-promise"],function(e,r){return r.polyfill(),new Promise(function(r,t){e(["__app__"],r,t)})})}(),define("amber_core/Platform-Browser",["amber/boot","amber_core/Kernel-Objects"],function($boot){"use strict";"nilAsValue"in $boot||($boot.nilAsValue=$boot.nilAsReceiver);var $core=$boot.api,nil=$boot.nilAsValue,$nil=$boot.nilAsReceiver,$recv=$boot.asReceiver,$globals=$boot.globals;$core.addPackage("Platform-Browser"),($core.packageDescriptors||$core.packages)["Platform-Browser"].innerEval=function(expr){return eval(expr)},($core.packageDescriptors||$core.packages)["Platform-Browser"].transport={type:"amd",amdNamespace:"amber_core"},$core.addClass("BrowserPlatform",$globals.Object,[],"Platform-Browser"),$globals.BrowserPlatform.comment="I am `Platform` service implementation for browser.",$core.addMethod($core.method({selector:"globals",protocol:"accessing",fn:function(){return window},args:[],source:"globals\n\t^ window",referencedClasses:[],messageSends:[]}),$globals.BrowserPlatform),$core.addMethod($core.method({selector:"newXhr",protocol:"accessing",fn:function(){var e=this,r=this;return $core.withContext(function(t){var n;return null==(n=$globals.XMLHttpRequest)||n.a$nil?(r._error_("XMLHttpRequest not available."),e):$recv($globals.NativeFunction)._constructorOf_($globals.XMLHttpRequest)},function(r){r.fill(e,"newXhr",{},$globals.BrowserPlatform)})},args:[],source:"newXhr\n\tXMLHttpRequest\n\t\tifNotNil: [ ^ NativeFunction constructorOf: XMLHttpRequest ]\n\t\tifNil: [ self error: 'XMLHttpRequest not available.' ]",referencedClasses:["XMLHttpRequest","NativeFunction"],messageSends:["ifNotNil:ifNil:","constructorOf:","error:"]}),$globals.BrowserPlatform),$core.addMethod($core.method({selector:"initialize",protocol:"testing",fn:function(){var e=this,r=this;return $core.withContext(function(t){var n;return n=r._isFeasible(),$core.assert(n)&&$recv($globals.Platform)._registerIfNone_(r._new()),e},function(r){r.fill(e,"initialize",{},$globals.BrowserPlatform.a$cls)})},args:[],source:"initialize\n\tself isFeasible ifTrue: [ Platform registerIfNone: self new ]",referencedClasses:["Platform"],messageSends:["ifTrue:","isFeasible","registerIfNone:","new"]}),$globals.BrowserPlatform.a$cls),$core.addMethod($core.method({selector:"isFeasible",protocol:"testing",fn:function(){var e=this;return $core.withContext(function(e){return"undefined"!=typeof window},function(r){r.fill(e,"isFeasible",{},$globals.BrowserPlatform.a$cls)})},args:[],source:"isFeasible\n<inlineJS: 'return typeof window !== \"undefined\"'>",referencedClasses:[],messageSends:[]}),$globals.BrowserPlatform.a$cls),$core.addClass("BrowserTerminal",$globals.Object,[],"Platform-Browser"),$globals.BrowserTerminal.comment="I am `Terminal` service implementation for browser.",$core.addMethod($core.method({selector:"alert:",protocol:"actions",fn:function(e){var r=this;return $core.withContext(function(r){return $recv(window)._alert_(e)},function(t){t.fill(r,"alert:",{aString:e},$globals.BrowserTerminal)})},args:["aString"],source:"alert: aString\n\t^ window alert: aString",referencedClasses:[],messageSends:["alert:"]}),$globals.BrowserTerminal),$core.addMethod($core.method({selector:"confirm:",protocol:"actions",fn:function(e){var r=this;return $core.withContext(function(r){return $recv(window)._confirm_(e)},function(t){t.fill(r,"confirm:",{aString:e},$globals.BrowserTerminal)})},args:["aString"],source:"confirm: aString\n\t^ window confirm: aString",referencedClasses:[],messageSends:["confirm:"]}),$globals.BrowserTerminal),$core.addMethod($core.method({selector:"prompt:",protocol:"actions",fn:function(e){var r=this;return $core.withContext(function(r){return $recv(window)._prompt_(e)},function(t){t.fill(r,"prompt:",{aString:e},$globals.BrowserTerminal)})},args:["aString"],source:"prompt: aString\n\t^ window prompt: aString",referencedClasses:[],messageSends:["prompt:"]}),$globals.BrowserTerminal),$core.addMethod($core.method({selector:"prompt:default:",protocol:"actions",fn:function(e,r){var t=this;return $core.withContext(function(t){return $recv(window)._prompt_default_(e,r)},function(n){n.fill(t,"prompt:default:",{aString:e,defaultString:r},$globals.BrowserTerminal)})},args:["aString","defaultString"],source:"prompt: aString default: defaultString\n\t^ window prompt: aString default: defaultString",referencedClasses:[],messageSends:["prompt:default:"]}),$globals.BrowserTerminal),$core.addMethod($core.method({selector:"initialize",protocol:"testing",fn:function(){var e=this,r=this;return $core.withContext(function(t){var n;return n=r._isFeasible(),$core.assert(n)&&$recv($globals.Terminal)._registerIfNone_(r._new()),e},function(r){r.fill(e,"initialize",{},$globals.BrowserTerminal.a$cls)})},args:[],source:"initialize\n\tself isFeasible ifTrue: [ Terminal registerIfNone: self new ]",referencedClasses:["Terminal"],messageSends:["ifTrue:","isFeasible","registerIfNone:","new"]}),$globals.BrowserTerminal.a$cls),$core.addMethod($core.method({selector:"isFeasible",protocol:"testing",fn:function(){var e=this;return $core.withContext(function(e){return"undefined"!=typeof window},function(r){r.fill(e,"isFeasible",{},$globals.BrowserTerminal.a$cls)})},args:[],source:"isFeasible\n<inlineJS: 'return typeof window !== \"undefined\"'>",referencedClasses:[],messageSends:[]}),$globals.BrowserTerminal.a$cls),$core.addMethod($core.method({selector:"postMessageTo:",protocol:"*Platform-Browser",fn:function(e){var r=this,t=this;return $core.withContext(function(r){
return t._postMessageTo_origin_(e,"*")},function(t){t.fill(r,"postMessageTo:",{aFrame:e},$globals.Object)})},args:["aFrame"],source:"postMessageTo: aFrame\n^ self postMessageTo: aFrame origin: '*'",referencedClasses:[],messageSends:["postMessageTo:origin:"]}),$globals.Object),$core.addMethod($core.method({selector:"postMessageTo:origin:",protocol:"*Platform-Browser",fn:function(e,r){var t=this;return $core.withContext(function(n){return e.postMessage(t,r)},function(n){n.fill(t,"postMessageTo:origin:",{aFrame:e,aString:r},$globals.Object)})},args:["aFrame","aString"],source:"postMessageTo: aFrame origin: aString\n<inlineJS: 'return aFrame.postMessage(self, aString)'>",referencedClasses:[],messageSends:[]}),$globals.Object)}),define("__app__",["devel","amber_core/Platform-Browser"],function(e){return e});